# pgRouting Manual (2.1.0)

## pgr_versionless

## Name

`pgr_versionless` — Compare two version numbers.

Note

This function is intended for the developer’s aid.

Warning

This function is deprecated in 2.1. Use _pgr_versionless instead

## Synopsis

Returns `true` if the first version number is smaller than the second version number. Otherwise returns `false`.

    boolean pgr_versionless(text v1, text v2);

## Description

v1: | `text` first version number
v2: | `text` second version number

History

- New in version 2.0.0

## Examples

    SELECT pgr_versionless('2.0.1', '2.1');

     pgr_versionless
    -----------------
     t
    (1 row)

## See Also

- Developer’s Guide for the tree layout of the project.
- pgr_version to get the current version of pgRouting.